<?php

namespace App\Admin\Actions\backstage\Orders;

use App\Models\Order;
use App\Models\OrderPack;
use App\Models\OrderPatient;
use Encore\Admin\Actions\RowAction;
use Illuminate\Database\Eloquent\Model;

class ServicePackOrderList extends RowAction
{
    public $name = '服务包订单列表';

    public function handle(Model $model)
    {
        $patient_id = Order::where('id',$this->row->id)->value('patient_id');
        $pack_id = OrderPack::where('order_id',$this->row->id)->value('service_pack_id');
        return $this->response()->success('跳转服务包订单列表成功')->redirect('/admin/service_packs_order_list?patient_id='.$patient_id.'&pay_order_pack_id='.$pack_id.'');
    }

}