<?php

namespace App\Admin\Actions\backstage\Service;

use Encore\Admin\Actions\Action;
use Illuminate\Http\Request;

class ServiceDistributions extends Action
{
    protected $selector = '.service-distributions';

    public function handle(Request $request)
    {
        // $request ...

        return $this->response()->success('跳转服务包发放列表成功')->redirect('/admin/service_distribution_user_list');
    }

    public function html()
    {
        return <<<HTML
        <a class="btn btn-sm btn-default service-distributions">服务包发放</a>
HTML;
    }
}