<?php

namespace App\Community\Actions\Docter;

use Encore\Admin\Admin;
use Encore\Admin\Grid\Tools\AbstractTool;
use Illuminate\Support\Facades\Request;

class AddUser extends AbstractTool
{
    protected $url;
    protected $icon;
    protected $text;
    function __construct($url,$icon,$text='')
    {
        $this->url = $url;
        $this->icon = $icon;
        $this->text = $text;
    }

    public function render()
    {
        $url = $this->url;
        $icon = $this->icon;
        $text = $this->text;
        return view('cdms.button', compact('url','icon','text'));
    }
}
