<?php

namespace App\Models;


class Vaccines extends BaseModel
{
    protected $appends = ['kc'];
    //
    public static $_post_type = [
        1=>"Ⅰ类疫苗",
        2=>"Ⅱ类疫苗"
    ];
    //导入格式
    protected $fillable = ['type','price',"name","remark","supplier",'stock','states'];

    public function getKcAttribute()
    {
        $id = $this->id;
        return OrganizationVaccine::where(['vaccine_id'=>$id])->sum('stock');
    }

    public function organization()
    {
        return $this->hasOne(Organization::class,'id','org_id');
    }

    public function organizationvaccines(){
        return $this->hasMany(OrganizationVaccines::class,'vaccine_id');
    }
}
