<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .title{
            width: 100%;
            height: 50px;
            text-align: center;
        }
        .docter{
            width: 50px;
            height: 50px;
            border-radius: 50%;
            overflow: hidden;
        }
        .docter img{
            width: 100%;
        }
        .user{
            width: 50px;
            height: 50px;
            border-radius: 50%;
            overflow: hidden;
        }
        .user img{
            width: 100%;
        }
        .docter-info{
            float: left;
        }
        .docter—content{
            margin-top: 20px;
            margin-left: 50px;
            float: left;
        }
        .clear{
            clear: both;
        }
        .user-info{
            float: right;
        }
        .user-content{
            float: left;
            margin-right: 50px;
            margin-top: 20px;
            size: 100px;
        }
        .left
        {
            margin-top: 20px;
            margin-bottom: 20px;
            float: left;
        }
        .right{
            margin-top: 20px;
            float: right;
            margin-bottom: 20px;

        }
    </style>
</head>
<body>
<div class="all">
    <?php
//        ^ array:5 [▼
//  "docter_id" => "10086"
//  "user" => "14879"
//  "start" => "1614421200"
//  "end" => "1614421800"
//  "order_id" => "97453"
//]
        $docter = request('docter_id');
        $user = request('user');
        $docter_info = \App\Models\Docter::where('id',$docter)->first(['name','avatar'])->toArray();
        $user_info = \App\Models\User::where('id',$user)->first(['nickname','avatar'])->toArray();
    ?>
    <div class="title"><h3>订单号:{{$order_id}}</h3></div>
        @foreach($arr as $value)
            @php($str = substr($value['senderId'],0,6))
            @php($time = date('Y-m-d H:i:s',$value['create_time']))
            @if($str == 'doctor')
                <div class="left">
                    {{--头像和名字区域--}}
                    <div class="docter-info">
                        <div>{{$time}}</div>
                        <div class="name">
                            {{$docter_info['name']}}
                        </div>
                        <div class="docter">
                            <img src="{{$docter_info['avatar']}}" alt="医生">
                        </div>
                    </div>
                    {{--内容区域--}}
                    <div class="docter—content">
                        @if($value['type']=='audio')
                            <?php
                                $url = json_decode($value['payload']);
                                $url = (Array)$url;
                            ?>
                            <div>
                                <audio src="{{$url['url']}}" controls="controls">
                                </audio>
                            </div>
                        @elseif($value['type']=='text')
                            <?php
                            $text = json_decode($value['payload']);
                            $text = (Array)$text;
                            ?>
                            <div>
                                <p>{{$text['text']}}</p>
                            </div>
                            @elseif($value['type']=='image')
                            <?php
                            $image = json_decode($value['payload']);
                            $image = (Array)$image;
                            ?>
                            <div>
                                <img class="content-img" src="{{$image['url']}}" alt="图片">
                            </div>
                        @endif
                    </div>
                    <div class="clear"></div>
                </div>
                <div class="clear"></div>
            @endif
            @if($str == 'member')
            <div class="right">
                {{--内容区域--}}
                <div class="user-content">
                    @if($value['type']=='audio')
                        <?php
                        $url = json_decode($value['payload']);
                        $url = (Array)$url;
                        ?>
                        <div>
                            <audio src="{{$url['url']}}" controls="controls">
                            </audio>
                        </div>
                    @elseif($value['type']=='text')
                        <?php
                        $text = json_decode($value['payload']);
                        $text = (Array)$text;
                        ?>
                        <div>
                            <p>{{$text['text']}}</p>
                        </div>
                    @elseif($value['type']=='image')
                        <?php
                        $image = json_decode($value['payload']);
                        $image = (Array)$image;
                        ?>
                        <div>
                            <img class="content-img" src="{{$image['url']}}" alt="图片">
                        </div>
                    @endif
                </div>
                {{--头像和名字区域--}}
                <div class="user-info">
                    <div>
                        {{$time}}
                    </div>
                    <div class="user-name">
                        {{$user_info['nickname']}}
                    </div>
                    <div class="user">
                        <img src="{{$user_info['avatar']}}" alt="医生">
                    </div>
                </div>
                <div class="clear"></div>
            </div>
            <div class="clear"></div>
            @endif
        @endforeach

</div>
</body>
</html>