<?php
/**
 * Created by PhpStorm.
 * User: zilongs
 * Date: 20-9-23
 * Time: 上午11:41
 */

return [

    'wechat_small_program' => [
        'app_id' => env('WECHAT_APPID', 'wx6131f74e623bf6bf'),
        'secret' => env('WECHAT_APPSECRET', 'b703596ab6cbcad5b74eb51fec2aeb0b'),
    ],

    'docter_wechat_small_program' => [
        'app_id' => env('DOCTOR_WECHAT_APPID', 'wx92066f7587c34617'),
        'secret' => env('DOCTOR_WECHAT_APPSECRET', 'bd7849c5259b79c41ec158173c5fb1d6'),
    ],



    'wechat_official_program' => [
        'app_id' => env('OFFICIAL_WECHAT_APPID'),
        'secret' => env('OFFICIAL_WECHAT_APPSECRET'),
    ],


    //公众号模板消息
    'wechat_official_message_template' => [
        //订单取消提醒
        1 => [
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('OFFICIAL_WECHAT_APPID'),
                'template_id' => 'xYAvY_xez7Ou_qflGuPV7L277FCPpj3K-zFdRcUYaBI',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('WECHAT_APPID', 'wx6131f74e623bf6bf'),
                    'page' => '',
                ],
                'data' => [
                    'first' => [
                        'value' => '尊敬的用户，你有一笔订单已取消！',
                    ],
                    'keyword1' => [
                        'value' => '%s',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'keyword3' => [
                        'value' => '%s元',
                    ],
                    'keyword4' => [
                        'value' => '%s',
                    ],
                    'keyword5' => [
                        'value' => '%s患者在%s的服务终止',
                    ],
                    'remark' => [
                        'value' => '订单备注：%s; 支付状态：%s; 点击进入小程序查看相关详情，如有疑问，请联系我们',
                    ],
                ],
            ],
        ],
        //服务包续费(即将到期)提醒
        2 => [
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('OFFICIAL_WECHAT_APPID'),
                'template_id' => 'aqfqUZtxj8jrRQe5_rhjaoHCmtDUeDLRgVYVdTMTH2k',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('WECHAT_APPID', 'wx6131f74e623bf6bf'),
                    'page' => '',
                ],
                'data' => [
                    'first' => [
                        'value' => '尊敬的用户，您有一个服务包即将到期！',
                    ],
                    'keyword1' => [
                        'value' => '%s',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'keyword3' => [
                        'value' => '%s',
                    ],
                    'remark' => [
                        'value' => '点击进入小程序查看详情',
                    ],
                ],
            ],
        ],
        //服务包失效提醒
        3 => [
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('OFFICIAL_WECHAT_APPID'),
                'template_id' => 'aqfqUZtxj8jrRQe5_rhjaoHCmtDUeDLRgVYVdTMTH2k',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('WECHAT_APPID', 'wx6131f74e623bf6bf'),
                    'page' => '',
                ],
                'data' => [
                    'first' => [
                        'value' => '尊敬的用户，您有一个服务包已到期！',
                    ],
                    'keyword1' => [
                        'value' => '%s',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'keyword3' => [
                        'value' => '%s',
                    ],
                    'remark' => [
                        'value' => '点击进入小程序查看详情',
                    ],
                ],
            ],
        ],
    ],

    //小程序订阅消息
    'wechat_subscribe_message_template' => [
        //订单取消提醒
        1 => [
            'template_id' => 'bjZ-r79i8sl7zEtdttAtcCPZLkCgFSYHTNWnNVd1cG0',
            'touser' => '%s',
            'page' => '',
            'data' => [
                'character_string1' => [
                    'value' => '%s',
                ],
                'name5' => [
                    'value' => '社区管理员',
                ],
                'thing4' => [
                    'value' => '%s',
                ],
                'thing7' => [
                    'value' => '%s订单，支付状态：%s，有任何疑问，请联系管理员',
                ],
            ],
        ],
        //服务包续费(即将到期)提醒
        2 => [
            'template_id' => 'obCFv2gAnl_RaW-OlnZkjCfi6teT3LUaHxxInUkwLbw',
            'touser' => '%s',
            'page' => '',
            'data' => [
                'thing1' => [
                    'value' => '%s',
                ],
                'date2' => [
                    'value' => '%s',
                ],
                'thing4' => [
                    'value' => '亲爱的%s，你的服务包即将失效',
                ],
                'phrase5' => [
                    'value' => '已开通',
                ],
                'thing3' => [
                    'value' => '点击“详情”进入小程序查看服务包详情信息',
                ],
            ],
        ],
        //服务包失效提醒
        3 => [
            'template_id' => 'obCFv2gAnl_RaW-OlnZkjCfi6teT3LUaHxxInUkwLbw',
            'touser' => '%s',
            'page' => '',
            'data' => [
                'thing1' => [
                    'value' => '%s',
                ],
                'date2' => [
                    'value' => '%s',
                ],
                'thing4' => [
                    'value' => '亲爱的%s，你的服务包已失效',
                ],
                'phrase5' => [
                    'value' => '已失效',
                ],
                'thing3' => [
                    'value' => '点击“详情”进入小程序查看服务包详情信息
',
                ],
            ],
        ],
    ],

    // 线上公众号
    'docter_wechat_officialAccount' => [
        'app_id' => env('DOCTOR_OFFICIAL_WECHAT_APPID', 'wx6df68b725662f8a3'),
        'secret' => env('DOCTOR_OFFICIAL_WECHAT_APPSECRET', '4f91ff06530833577eedcb0c0e111a57'),
    ],

    'wechatSubscription_template' => [
        //认证结果
        'then_result'=>[
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('DOCTOR_OFFICIAL_WECHAT_APPID'),
                'template_id' => 'ewWm59p1oVpHw7vt3LlkQTWpYgOZ_h6rfINUiTc4GbM',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('DOCTOR_WECHAT_APPID'),
                    'page' => '%s',
                ],
                'data' => [
                    'first' => [
                        'value' => '%s',
                    ]
                    ,'keyword1' => [
                        'value' => '%s',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'keyword3' => [
                        'value' => '%s',
                    ],
                    'keyword4' => [
                        'value' => '%s',
                    ],
                    'remark' => [
                        'value' => '%s',
                    ],
                ]
            ],
        ],

        // 排班变更提醒
        'schedule_reminder'=>[
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('DOCTOR_OFFICIAL_WECHAT_APPID'),
                'template_id' => 'OmNx3Tiu83KwMriLeYsWRbuLfIk1O5JZM1S_K8hdwN4',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('DOCTOR_WECHAT_APPID'),
                    'page' => '%s',
                ],
                'data' => [
                    'first' => [
                        'value' => '您好，你的排班情况有所变动，请及时查看',
                    ]
                    ,'keyword1' => [
                        'value' => '%s',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'remark' => [
                        'value' => '点击进入小程序查看详情，有疑问请联系客服',
                    ],
                ]
            ],

        ],
        //排班提醒
        'schedule_notice'=>[
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('DOCTOR_OFFICIAL_WECHAT_APPID'),
                'template_id' => 'Bd12nbwEtcrsN2IsVA2URiPH1qVGk3uyCemLyxBa-4U',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('DOCTOR_WECHAT_APPID'),
                    'page' => '%s',
                ],
                'data' => [
                    'first' => [
                        'value' => '尊敬的%s，你下周的排班已经完成，具体如下！',
                    ]
                    ,'keyword1' => [
                        'value' => '%s',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'keyword3'=> [
                        'value' => '总后台',
                    ],
                    'remark' => [
                        'value' => '点击进入小程序查看详情，有疑问请联系客服',
                    ]
                ]
            ],

        ],

        // 认证到期
        'out_then_reminder'=>[
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('DOCTOR_OFFICIAL_WECHAT_APPID'),
                'template_id' => 'RhvT7gFJcFpUDAImkXIovBTOWZUYA7DirkMrwL0EzE0',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('DOCTOR_WECHAT_APPID'),
                    'page' => '',
                ],
                'data' => [
                    'first' => [
                        'value' => '很抱歉，你在%s社区的认证已被撤销，请重新认证！',
                    ]
                    ,'keyword1' => [
                        'value' => '认证撤销',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'remark' => [
                        'value' => '点击进入小程序查看详情，有疑问请联系管理员！',
                    ],
                ]
            ],
        ],
        // 医生接单提醒
        'receiving_reminder'=>[
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('OFFICIAL_WECHAT_APPID'),
                'template_id' => 'grtzjXaIQNMTI-UoxY8cakzVna4q65s6qqZFbW67rIk',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('WECHAT_APPID', 'wx6131f74e623bf6bf'),
                    'page' => '%s',
                ],
                'data' => [
                    'first' => [
                        'value' => '尊敬的用户，你的咨询订单已被医生接单！',
                    ]
                    ,'keyword1' => [
                        'value' => '%s',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'keyword3' => [
                        'value' => '%s',
                    ],
                    'keyword4' => [
                        'value' => '%s',
                    ],
                    'remark' => [
                        'value' => '点击进入小程序查看详情!',
                    ],
                ]
            ],
        ],
        // 消息回复提醒
        'reply_reminder'=>[
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('OFFICIAL_WECHAT_APPID'),
                'template_id' => '0T33vX4zLYSUbFH4NxEe_6Yt4b6m1AoanjpwvBbsRgE',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('WECHAT_APPID', 'wx6131f74e623bf6bf'),
                    'page' => '%s',
                ],
                'data' => [
                    'first' => [
                        'value' => '你的咨询订单已被医生回复，请及时查看！',
                    ]
                    ,'keyword1' => [
                        'value' => '%s',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'keyword3' => [
                        'value' => '%s',
                    ],
                    'remark' => [
                        'value' => '点击进入小程序查看详情!',
                    ],
                ]
            ],
        ],
        // 明日预约提醒
        'today_reminder'=>[
            'touser' => '%s',
            'mp_template_msg' => [
                'appid' => env('DOCTOR_OFFICIAL_WECHAT_APPID'),
                'template_id' => 'sqRXeqYDHyzxQMu_mO7EroNPhVWUCs2wpbZMRdrrIYc',
                'url' => '',
                'miniprogram' => [
                    'appid' => env('DOCTOR_WECHAT_APPID'),
                    'page' => '%s',
                ],
                'data' => [
                    'first' => [
                        'value' => '尊敬的%s，您明天有新的门诊预约订单待处理！',
                    ]
                    ,'keyword1' => [
                        'value' => '签约失效提醒',
                    ],
                    'keyword2' => [
                        'value' => '%s',
                    ],
                    'keyword3' => [
                        'value' => '就诊人数：%s个，就诊地点：%s医院',
                    ],
                    'remark' => [
                        'value' => '点击进入小程序查看相关详情',
                    ],
                ]
            ],
        ],
    ],
];
